Subject: Re: [PATCH 0/20] rs/ref-transaction-1 (Re: Transaction patch series overview)

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Aug 2014 14:29:38 -0700

Jonathan Nieder <[email-masked]> writes:

> Jonathan Nieder wrote:
>
>> This series teaches the tag, replace, commit, cherry-pick,
>> fast-import, checkout -b, branch, receive-pack, and http-fetch
>> commands and all update_ref and delete_ref callers to use the ref
>> transaction API instead of lock_ref_sha1.
>>
>> The main user-visible change should be some cosmetic changes to error
>> messages.  The series also combines multiple ref updates into a single
>> transaction in 'git http-fetch -w' and when writing tags in
>> fast-import but otherwise doesn't change the granularity of
>> transactions.
>>
>> Reviewed at https://code-review.googlesource.com/#/q/topic:ref-transaction-1

Thanks.

Will queue, but the some other topics may have to disappear from my
tree while I try to rebase them on top (or while I wait for you guys
to send a reroll, making it unnecesary to do the rebase myself).